



echo provider "google" { version="3.33.0" } > init.tf
IF %ERRORLEVEL% NEQ 0 exit /B 1
terraform init
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist .terraform\plugins\windows_amd64\lock.json exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if exist .terraform\plugins\windows_amd64\terraform-provider-google_v3.33.0_x4.exe exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
